> ## Documentation Index
> Fetch the complete documentation index at: https://crossmint-devin-1787949784-wallet-docs-two-concept-model.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Agent Card

> Get a specific order intent by ID.

**API scope required**: `order-intents.read`



## OpenAPI

````yaml get /unstable/order-intents/{orderIntentId}
openapi: 3.0.0
info:
  contact:
    email: support@crossmint.com
    name: Crossmint Support
    url: https://www.crossmint.com
  description: Crossmint Payments API
  title: Crossmint Payments API
  version: 1.0.0
servers:
  - description: Staging environment (testnets)
    url: https://staging.crossmint.com/api
  - description: Production environment (mainnets)
    url: https://www.crossmint.com/api
security: []
tags: []
paths:
  /unstable/order-intents/{orderIntentId}:
    get:
      tags:
        - Order Intents
      summary: Get Order Intent
      description: |-
        Get a specific order intent by ID.

        **API scope required**: `order-intents.read`
      operationId: OrderIntentsController-getOrderIntent-2
      parameters:
        - description: API key required for authentication
          in: header
          name: X-API-KEY
          required: true
          schema:
            type: string
        - in: path
          name: orderIntentId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrderIntentResponseDto'
          description: Returns the order intent
components:
  schemas:
    OrderIntentResponseDto:
      additionalProperties: false
      properties:
        amount:
          additionalProperties: false
          properties:
            available:
              pattern: ^\d+(\.\d{1,4})?$
              type: string
            currency:
              pattern: ^[A-Za-z]{3}$
              type: string
            reserved:
              pattern: ^\d+(\.\d{1,4})?$
              type: string
            spent:
              pattern: ^\d+(\.\d{1,4})?$
              type: string
            total:
              pattern: ^\d+(\.\d{1,4})?$
              type: string
          type: object
        description:
          type: string
        expiresAt:
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
          type: string
        merchant:
          additionalProperties: false
          allOf:
            - $ref: '#/components/schemas/AgenticOrderIntentMerchantDto'
          properties:
            acquirerBin:
              pattern: ^\d{6}$
              type: string
            categoryCode:
              pattern: ^\d{4}$
              type: string
            countryCode:
              pattern: ^[A-Za-z]{2}$
              type: string
            name:
              maxLength: 200
              minLength: 1
              type: string
            url:
              maxLength: 2048
              pattern: ^https?:\/\/
              type: string
        orderIntentId:
          format: uuid
          pattern: >-
            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
          type: string
        paymentMethodId:
          minLength: 1
          type: string
        rails:
          items:
            anyOf:
              - additionalProperties: false
                properties:
                  credentialFormats:
                    items:
                      enum:
                        - card
                        - network-token
                      type: string
                    type: array
                  error:
                    additionalProperties: false
                    properties:
                      code:
                        minLength: 1
                        type: string
                    required:
                      - code
                    type: object
                  provider:
                    enum:
                      - agentpay
                      - vic
                    type: string
                  rail:
                    enum:
                      - agentic-token
                    type: string
                  status:
                    enum:
                      - error
                    type: string
                required:
                  - credentialFormats
                  - error
                  - provider
                  - rail
                  - status
                type: object
              - additionalProperties: false
                properties:
                  credentialFormats:
                    items:
                      enum:
                        - card
                        - network-token
                      type: string
                    type: array
                  error:
                    not: {}
                  provider:
                    enum:
                      - agentpay
                      - vic
                    type: string
                  rail:
                    enum:
                      - agentic-token
                    type: string
                  status:
                    enum:
                      - active
                      - pending_verification
                    type: string
                required:
                  - credentialFormats
                  - provider
                  - rail
                  - status
                type: object
          type: array
        status:
          enum:
            - active
            - cancelled
            - expired
          type: string
        verificationConfig:
          additionalProperties: false
          properties:
            allowanceId:
              minLength: 1
              type: string
            environment:
              enum:
                - production
                - test
              type: string
            publicApiKey:
              type: string
          type: object
      required:
        - amount
        - description
        - expiresAt
        - orderIntentId
        - paymentMethodId
        - rails
        - status
        - verificationConfig
      type: object
    AgenticOrderIntentMerchantDto:
      additionalProperties: false
      properties:
        acquirerBin:
          pattern: ^\d{6}$
          type: string
        categoryCode:
          pattern: ^\d{4}$
          type: string
        countryCode:
          pattern: ^[A-Za-z]{2}$
          type: string
        name:
          maxLength: 200
          minLength: 1
          type: string
        url:
          maxLength: 2048
          pattern: ^https?:\/\/
          type: string
      required:
        - countryCode
        - name
        - url
      type: object

````